Package alt.javax.mail

# Interface Transport

All Superinterfaces:
  `Service`

All Known Implementing Classes:
  `MockTransport`, `TransportImpl`

public interface Transport extends Service

## Method Summary

Modifier and Type
Method
Description
`void`
`addTransportListener(TransportListener transportListener)`
`void`
`removeTransportListener(TransportListener transportListener)`
`void`
`send(Message message)`
`void`
`send(Message message, Address[] addresses)`
`void`
`sendMessage(Message message, Address[] addresses)`

### Methods inherited from interface alt.javax.mail.Service

`addConnectionListener, close, connect, connect, connect, getURLName, isConnected, removeConnectionListener, toString`

## Method Details

### send

void send(Message message) throws MessagingException

Throws:
  `MessagingException`

### send

void send(Message message, Address[] addresses) throws MessagingException

Throws:
  `MessagingException`

### sendMessage

void sendMessage(Message message, Address[] addresses) throws MessagingException

Throws:
  `MessagingException`

### addTransportListener

void addTransportListener(TransportListener transportListener)

### removeTransportListener

void removeTransportListener(TransportListener transportListener)